Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workitems
Class PrioritiseWorkItem

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workitems.PrioritiseWorkItem

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class PrioritiseWorkItem

extends java.lang.Object
implements OSAction<VoidResult>

Set the Priority for the specified Work Items

©2013 TIBCO Software Inc.

Since:
  2.2.0
See Also:
  `VoidResult`

Constructor Summary
`PrioritiseWorkItem(java.util.Set<ManagedId> items, int priority, boolean absolute)` Constructs a new PrioritiseWorkItem Action

Method Summary
`java.util.Set<ManagedId>` | `getItems()` The Set `WorkListItem` to change priority for, retrieved by calling `GetToDoList`
`int` | `getPriority()` The value of the priority to set, should be between 0 and 100, relative values are also allowed ( see absolute parameter )
`boolean` | `isAbsolute()` Set absolute priority, if true the priority will be set to the value specified, otherwise the priority will be changed relative to the current priority If false negative and positive values can be used to alter the current priority : i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrioritiseWorkItem

    public PrioritiseWorkItem(java.util.Set<ManagedId> items,
                              int priority,
                              boolean absolute)

  Constructs a new PrioritiseWorkItem Action

  Parameters:
    `items` - The Set `WorkListItem` to change the priority on, retrieved by calling `GetToDoList`
    `priority` - The priority to set ( absolute or relative ). The resultant priority should be between 0 and 100

    `absolute` - set absolute or relative priority

Method Detail

### getItems

    public java.util.Set<ManagedId> getItems()

  The Set `WorkListItem` to change priority for, retrieved by calling `GetToDoList`

  Returns:
    Returns the items.

### getPriority

    public int getPriority()

  The value of the priority to set, should be between 0 and 100, relative values are also allowed ( see absolute parameter )

  Returns:
    returns the priority

### isAbsolute

    public boolean isAbsolute()

  Set absolute priority, if true the priority will be set to the value specified, otherwise the priority will be changed relative to the current priority If false negative and positive values can be used to alter the current priority : i.e. Work Item with priority 50 : priority -10 and absolute = false would set value to 40 priority 10 and absolute = false would set value to 60 Priority value should be between 0 and 100

  Returns:
    if the priority is absolute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.